Supported Android Phones

There are a few Android devices that are not supported by the Keymaster app. We only support Android devices that run Android 6 or later. 

This is because the app requires a newer version of the Android OS which supports a secure hardware element essential for keeping your keys safe. There are a handful of phones, mostly older models, that unfortunately don't meet this standard.

Some phones that we recommend for use with the Keymaster App are Google Pixel 1, 2, 3 and Samsung Galaxy S8 and above. 

Did this solve your problem?